Skip to main content
GET
Conversation for a cast

Tutorial on ranking replies: Rank high quality conversations

Node.js SDK

šŸ”— SDK Method: lookupCastConversation Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Headers

x-neynar-experimental
boolean
default:false

Enables experimental features including filtering based on the Neynar score. See docs for more details.

Query Parameters

identifier
string
required

Cast identifier (It's either a URL or a hash)

Example:

"https://warpcast.com/rish/0x9288c1"

type
enum<string>
required

The query param accepted by the API. Sent along with identifier param. url - Cast identifier is a url hash - Cast identifier is a hash

Available options:
url,
hash
Example:

"url"

reply_depth
integer
default:2

The depth of replies in the conversation that will be returned (default 2)

Required range: 0 <= x <= 5
include_chronological_parent_casts
boolean
default:false

Include all parent casts in chronological order

viewer_fid
integer

Providing this will return a conversation that respects this user's mutes and blocks and includes viewer_context.

Required range: x >= 1
sort_type
enum<string>

Sort type for the ordering of descendants. Default is chron

Available options:
chron,
desc_chron,
algorithmic
Example:

"chron"

fold
enum<string>

Show conversation above or below the fold. Lower quality responses are hidden below the fold. Not passing in a value shows the full conversation without any folding.

Available options:
above,
below
limit
integer<int32>
default:20

Number of results to fetch

Required range: 1 <= x <= 50
Example:

30

cursor
string

Pagination cursor.

Response

Success

conversation
object
required
next
NextCursor Ā· object

Returns next cursor